using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SQLite;

namespace CSVDownloader.Store {
    abstract class SQLite3 {

        protected SQLiteConnection conn_;

        ~SQLite3() {
            if (conn_ != null) {
                conn_.Close();
            }
        }

        protected void Open(String source) {
            conn_ = new SQLiteConnection($"Data Source={source}");
            conn_.Open();
        }


    }
}
